Skip to main content

August 12, 2026

· 2 min read

This release enhances the customer prerequisites and registration eligibility workflows. The missing requisites endpoint now supports hypothetical scenarios to check requirements before membership changes, and both endpoints have been updated to better distinguish between immediate and deferred form/waiver requirements.

  • GET /customers/{id}/missing_requisites now accepts hypothetical membership and offering type parameters, allowing you to check what forms and waivers a customer would need if they were to change memberships or register for different offering types. The response structure for missing forms and waivers has also been simplified.
  • POST /registration_eligibility/check now returns separate lists of deferred forms and deferred waivers in prerequisites, enabling you to distinguish between requirements that must be completed immediately versus those that can be completed later.

GET /customers/{id}/missing_requisites

  • the missing_forms response's property type changed from array<object> to string for status 200 (media type: application/json)
  • the missing_waivers response's property type changed from array<object> to string for status 200 (media type: application/json)
  • added the new optional query request parameter hypothetical_membership
  • added the new optional query request parameter hypothetical_offering_type
View updated docs

POST /registration_eligibility/check

  • added the optional property prerequisites/deferred_forms to the response with the 200 status (media type: application/json)
  • added the optional property prerequisites/deferred_waivers to the response with the 200 status (media type: application/json)
View updated docs